﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

// Credit to Yan Sidorenko


namespace ConsoleApplication5
{
    class Cow: Mammal
    {
        private int birth_number;
        //Constructor
        public Cow(string animal_name, int animal_age, bool is_attacker, int calories_per_launch, int calories_in_milk, int pregnant_months, int birth_number): base(animal_name,animal_age,is_attacker,calories_per_launch,calories_in_milk,pregnant_months)
        {
            this.birth_number = birth_number;
        }
        //Get Method
        public int GetBirthNumber() {return this.birth_number; }

        //Set Method
        public void SetBirthNumber(int birth_number) { this.birth_number = birth_number; }
        
        //ToString Method
        public override string ToString()
        {
            return base.ToString() + "\nBirth Number: " + this.birth_number;
        }

        public override int Eat() { return base.Eat() / 4; } //return calories for 3 meals + calories in milk divide by 4. O(1)

    }
}
