﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

// Credit to Yan Sidorenko


namespace ConsoleApplication5
{
    class Crocodile: Reptile
    {
        private bool after_dentist;

        //Constructor
        public Crocodile(string animal_name, int animal_age, bool is_attacker, int calories_per_launch,int tail_length, bool after_dentist): base(animal_name,animal_age,is_attacker,calories_per_launch,tail_length)
        {
            this.after_dentist = after_dentist;
        }
        //Get method
        public bool GetAfterDentist() { return this.after_dentist; }

        //Set method
        public void SetAfterDentist(bool after_dentist) { this.after_dentist = after_dentist; }

        //ToString method
        public override string ToString()
        {
            return base.ToString() + "\nAfter dentist: " + this.after_dentist;
        }

        public override int Eat() //return calories for 3 meals, if the crocodile after a dentist the calories will decrease by 5. O(1)
        {
            if (this.after_dentist)
                return base.Eat() - 5;
            return base.Eat();
        }

    }
}
