﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

// Credit to Yan Sidorenko

namespace ConsoleApplication5
{
    class Animal
    {
        private string animal_name;
        private int animal_age;
        private bool is_attacker;
        private int calories_per_launch;
        //Constructor
        public Animal(string animal_name, int animal_age, bool is_attacker, int calories_per_launch)
        {
            this.animal_name = animal_name;
            this.animal_age = animal_age;
            this.is_attacker = is_attacker;
            this.calories_per_launch = calories_per_launch;

        }
        //Get Methods
        public string GetAnimalName() { return this.animal_name; }
        public int GetAnimalAge() { return this.animal_age; }
        public bool GetIsAttacker() { return this.is_attacker; }
        public int GetCaloriesPerLaunch() { return this.calories_per_launch; }
        //Set Methods
        public void SetAnimalName(string animal_name) { this.animal_name = animal_name; }
        public void SetAnimalAge(int animal_age) { this.animal_age = animal_age; }
        public void SetIsAttacker(bool is_attacker) { this.is_attacker = is_attacker; }
        public void SetCaloriesPerLaunch(int calories_per_launch) { this.calories_per_launch = calories_per_launch; }
        //ToString Method
        public override string ToString()
        {
            return "Name: " + this.animal_name + "\nAge: " + this.animal_age + "\nAttacker: " + this.is_attacker + "\nCalories: " + this.calories_per_launch;
        }
        public virtual int Eat() { return this.calories_per_launch * 3; } //return calories for 3 meals. O(1)


    }
}
