﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

// Credit to Yan Sidorenko


namespace ConsoleApplication5
{
    class Mammal: Animal
    {
        private int calories_in_milk;
        private int pregnant_months;
        //Constructor
        public Mammal(string animal_name, int animal_age, bool is_attacker, int calories_per_launch, int calories_in_milk, int pregnant_months)
            : base(animal_name, animal_age, is_attacker, calories_per_launch)
        {
            this.calories_in_milk = calories_in_milk;
            this.pregnant_months = pregnant_months;
        }

        //Get Methods
        public int GetCaloriesInMilk() { return this.calories_in_milk; }
        public int GetPregnantMonths() { return this.pregnant_months; }

        //Set Methods
        public void SetCaloriesInMilk(int calories_in_milk) { this.calories_in_milk = calories_in_milk; }
        public void SetPregnantMonths(int pregnant_months) { this.pregnant_months = pregnant_months; }

        //ToString Method
        public override string ToString()
        {
            return base.ToString() + " " + "\nCalories In Milk: " + this.calories_in_milk + "\nPregnant Months: " + this.pregnant_months;
        }
        public override int Eat() { return base.Eat() + this.calories_in_milk; }//return calories for 3 meals + calories in milk. O(1)
    }
}
