﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

// Credit to Yan Sidorenko


namespace ConsoleApplication5
{
    class Program
    {
        public static int SumCalories(Animal[] animals)// Gets animal array. output: summary of calories of all the animals in the array. O(n) n = number of animals in the array.
        {
            int sum = 0;
            for (int i =0; i<animals.Length; i++)
            {
                sum += animals[i].Eat();
            }
            return sum;
        }

        public static void SingBaby(Animal[] animals)// Gets animal array. output: printing the bird's sing in the array. O(n) n = number of animals in the array
        {
            for (int i = 0; i < animals.Length; i++)
            {
                if (animals[i] is Bird)
                    ((Bird)animals[i]).Sing();
            }

        }
        public static void DanceBaby(Animal[] animals)// Gets animal array. output: printing snake's and bird's dance. O(n) n = number of animals in the array
        {
            for (int i = 0; i < animals.Length; i++)
            {
                if (animals[i] is Bird)
                    ((Bird)animals[i]).Dance();
                if (animals[i] is Snake)
                    ((Snake)animals[i]).Dance();
            }
        }
        public static string FatestHipo(Animal[] animals)// Gets animal array. output: hipo name with the largest fat percentage. O(n) n = number of animals in the array
        {
            double max = 0;
            string name = "";
            for (int i = 0; i < animals.Length; i++)
            {
                if (animals[i] is Hipo)
                    max = Math.Max(max, ((Hipo)animals[i]).GetFatPercentage());
            }
            for (int i = 0; i < animals.Length; i++)
            {
                if (animals[i] is Hipo)
                    if (((Hipo)animals[i]).GetFatPercentage() == max)
                        name = animals[i].GetAnimalName();

            }
            return name;

        }                

        static void Main(string[] args)
        {
           
        }
    }
}
