﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

// Credit to Yan Sidorenko


namespace ConsoleApplication5
{
    class Snake: Reptile
    {
        private bool is_poisonous;
        //Constructor
        public Snake(string animal_name, int animal_age, bool is_attacker, int calories_per_launch, int tail_length, bool is_poisonous)
            : base(animal_name, animal_age, is_attacker, calories_per_launch, tail_length)
        {
            this.is_poisonous = is_poisonous;
        }
        
        //Get method
        public bool GetIsPoisonous() { return this.is_poisonous; }

        //Set method
        public void SetIsPoisonous(bool is_poisonous) { this.is_poisonous = is_poisonous; }

        //ToString method
        public override string ToString()
        {
            return base.ToString() + "\nIs poisonous: " + this.is_poisonous;
        }

        public void Dance() { Console.WriteLine("Im dancing with hava, you have a problem with that?!"); } //printing the snake's dance. O(1)
    }
}
